跳至內容

Kling O1 Image

整合

模型 id kling-image/o1
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.028 28 API 點數 在此頁面執行

取得 API 金鑰
Kling 圖像編輯 參考輸入最高 2K #edit#realism#typography

以參考影像驅動的影像編輯,支援最多 10 張影像、@Image 標籤與元素、1K 或 2K,以及最多 9 個輸出

在 Doitong 上製作

Doitong 社群使用 Kling O1 Image 製作的公開作品。一鍵重複使用提示詞。

顯示的公開作品:16
**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 5 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе... 影片

Уютная база отдыха с деревянными домиками-шале среди сосен. Майя и Клиентка заходят в теплое кафе с панорамными окнами. Внутри деревянный интерьер, мягкие диваны и живые цветы. Они садятся за столик, перед ними стоят дымящиеся чашки чая. Мягкий свет ламп создает уют. Средний план, уровень глаз. (...

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animat... 影片

**Duration: 4 seconds | Aspect ratio: 16:9 | Children's YouTube Intro | Video with Audio** Animate the provided image into a bright, magical, energetic, professional YouTube intro for a children's entertainment channel, with perfectly synchronized sound effects, cheerful music, and a cute child's...

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты вн... 影片

Реалистично оживи старую семейную фотографию. Все люди сохраняют свои оригинальные лица, черты внешности, возраст, причёски и одежду. Мужчины слегка поворачивают головы, естественно моргают и едва заметно улыбаются. Женщина слева спокойно смотрит в камеру и мягко моргает. Маленький ребёнок слегка...

A five-second orbital camera move circling completely around a red-haired woman in a yellow rainc... 影片

A five-second orbital camera move circling completely around a red-haired woman in a yellow raincoat standing in an autumn forest holding a vintage lantern, she remains stationary facing forward while the camera circles 180 degrees from her left side to her right side at eye level, golden fallen...

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a w... 影片

A five-second whip pan transition starting on a chef in white uniform chopping fresh herbs on a wooden cutting board in a bright kitchen, camera suddenly swings in a rapid blur motion panning right at high speed creating motion blur, ending sharply focused on a barista pouring latte art in a...

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 2500

限制為 2500 個字元的圖像生成提示詞。使用 @Image1、@Image2 等參照圖像;單一圖像則使用 @Image。

•必填 image_urls
拖放檔案,或

參考圖像清單,限制為 10 張;在提示詞中以 @Image1、@Image2 等引用,編號從 1 開始。每個檔案不得大於 10.0 MB,寬度與高度皆至少為 300px,長寬比介於 0.40 到 2.50。

resolution 預設 1K

輸出圖像解析度:標準解析度為 1K,高解析度為 2K。

aspect_ratio 預設 auto

生成圖像的長寬比;設為 'auto' 時,會根據輸入內容自動選擇。

num_images 預設 1

輸出圖像數量,範圍為 1 到 9。

進階 output_format · enable_safety_checker · elements
output_format 預設 png

生成圖像的檔案格式。

作為元素加入的角色或物件,與參考圖像共用總數 10 的限制。提示詞參照使用 @Element1、@Element2 等。

POST /run/kling-image/o1?wait=20 報價 → $0.028
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/kling-image/o1?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Kling O1 Image

根據最多 2500 個字元的 `prompt` 編輯或重新組合影像。使用 @Image1、@Image2 等標記指向輸入,`image_urls` 最多可包含 10 張影像;`elements` 可加入角色或物件,合計最多 10 個。`resolution` 可為 1K 或 2K,`num_images` 可為 1 到 9,`aspect_ratio` 包含 auto、21:9 和 3:2。輸出格式為 png、jpeg 或 webp。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 2,500 個字元
限制為 2500 個字元的圖像生成提示詞。使用 @Image1、@Image2 等參照圖像;單一圖像則使用 @Image。
image_urls必填 images
類型url[] · image
參考圖像清單,限制為 10 張;在提示詞中以 @Image1、@Image2 等引用,編號從 1 開始。每個檔案不得大於 10.0 MB,寬度與高度皆至少為 300px,長寬比介於 0.40 到 2.50。
elements選填
類型object[]
作為元素加入的角色或物件,與參考圖像共用總數 10 的限制。提示詞參照使用 @Element1、@Element2 等。
elements[].frontal_image_url選填
類型url · image
選用的正面圖像,提供元素的主要視角。檔案大小不得超過 10.0 MB;寬度與高度皆至少為 300px,長寬比介於 0.40 到 2.50。
elements[].reference_image_urls選填
類型url[] · image
選用的 0–3 張額外圖像,顯示其他角度。每個檔案不得大於 10.0 MB,寬度與高度皆至少為 300px,長寬比介於 0.40 到 2.50。
resolution選填
類型enum
預設值1K
1K2K
輸出圖像解析度:標準解析度為 1K,高解析度為 2K。
num_images選填 num_outputs
類型integer
預設值1
1 – 9
輸出圖像數量,範圍為 1 到 9。
aspect_ratio選填
類型enum
預設值auto
auto16:99:161:14:33:43:22:321:9
生成圖像的長寬比;設為 'auto' 時,會根據輸入內容自動選擇。
output_format選填
類型enum
預設值png
jpegpngwebp
生成圖像的檔案格式。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "kling-image/o1",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 28,
    "usd": "0.028",
    "charged": 28,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}模型生成的圖像。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/kling-image/o1.md. 所有模型與指南: https://doitong.com/developers/llms.txt